org.apache.ignite.internal.managers.deployment

## Class GridDeploymentInfoBean

- java.lang.Object
- - org.apache.ignite.internal.managers.deployment.GridDeploymentInfoBean

All Implemented Interfaces:
  Externalizable, Serializable, GridDeploymentInfo, Message

    public class GridDeploymentInfoBean
    extends Object
    implements Message, GridDeploymentInfo, Externalizable

Deployment info bean.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDeploymentInfoBean()` Required by `Externalizable`.
`GridDeploymentInfoBean(GridDeploymentInfo dep)`
`GridDeploymentInfoBean(IgniteUuid clsLdrId, String userVer, DeploymentMode depMode, Map<UUID,IgniteUuid> participants, boolean locDepOwner)`

### Method Summary

Methods
`IgniteUuid` `classLoaderId()`
`DeploymentMode` `deployMode()`
`short` `directType()` Gets message type.
`boolean` `equals(Object o)`
`byte` `fieldsCount()` Gets fields count.
`int` `hashCode()`
`boolean` `localDeploymentOwner()`
`void` `localDeploymentOwner(boolean locDepOwner)` Sets local deployment ownership flag.
`void` `onAckReceived()` Method called when ack message received.
`Map<UUID,IgniteUuid>` `participants()`
`void` `readExternal(ObjectInput in)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`long` `sequenceNumber()`
`String` `toString()`
`String` `userVersion()`
`void` `writeExternal(ObjectOutput out)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDeploymentInfoBean

    public GridDeploymentInfoBean()

Required by `Externalizable`.

#### GridDeploymentInfoBean

    public GridDeploymentInfoBean(IgniteUuid clsLdrId,
                          String userVer,
                          DeploymentMode depMode,
                          Map<UUID,IgniteUuid> participants,
                          boolean locDepOwner)

Parameters:
  `clsLdrId` - Class loader ID.
  `userVer` - User version.
  `depMode` - Deployment mode.
  `participants` - Participants.
  `locDepOwner` - Local deployment owner flag.

#### GridDeploymentInfoBean

    public GridDeploymentInfoBean(GridDeploymentInfo dep)

Parameters:
  `dep` - Grid deployment.

### Method Detail

#### classLoaderId

    public IgniteUuid classLoaderId()

Specified by:
  `classLoaderId` in interface `GridDeploymentInfo`
Returns:
  Class loader ID.

#### deployMode

    public DeploymentMode deployMode()

Specified by:
  `deployMode` in interface `GridDeploymentInfo`
Returns:
  Deployment mode.

#### userVersion

    public String userVersion()

Specified by:
  `userVersion` in interface `GridDeploymentInfo`
Returns:
  User version.

#### sequenceNumber

    public long sequenceNumber()

Specified by:
  `sequenceNumber` in interface `GridDeploymentInfo`
Returns:
  Sequence number.

#### localDeploymentOwner

    public boolean localDeploymentOwner()

Specified by:
  `localDeploymentOwner` in interface `GridDeploymentInfo`
Returns:
  Local deployment ownership flag.

#### participants

    public Map<UUID,IgniteUuid> participants()

Specified by:
  `participants` in interface `GridDeploymentInfo`
Returns:
  Participant map for SHARED mode.

#### localDeploymentOwner

    public void localDeploymentOwner(boolean locDepOwner)

Sets local deployment ownership flag.

Parameters:
  `locDepOwner` - Local deployment ownership flag.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017